hirom
;header

;========================================
; Event command $69
; 69 AA BB CC
; Battle with formation BBAA
; with battle background CC (AND $3F)
; CC AND $80 = Disable battle blur
; CC AND $40 = No battle sound
;========================================    

org $C0992C                             ; Jump table edit
dw cmd69

org $C0D613                             ; Change to relocate JML in bank $C0
cmd69:                                  ; Require 4 bytes of free space
    JML cmd69exp

org $F20000                             ; Change to relocate command elsewhere in ROM (except bank $C0)
cmd69exp:								; Requires $4C bytes of free space
    REP #$20                            ; 16-Bit Accumulator                
    LDA $EB                             ; Battle formation  
    STA $0011E0                         ; Store as battle formation
    TDC                                 ; Clear Accumulator
    SEP #$20                            ; 8-Bit Accumulator
    LDA $ED                             ; Battle intro effects and background (#$40 = disable sound effect, #$80 = disable battle blur)                                                               
    AND #$C0                            ; Isolate battle blur and battle sound effect disabling                                                    
    STA $078A                           ; Save value in RAM                                                                                                 
    LDA $ED                             ; Battle intro effects and background                                                                  
    AND #$3F                            ; Isolate bits 0-5 (battle background ID, max #$3F)                                                   
    CMP #$3F                            ; Check if equal to #$3F
    BNE lblA                            ; If not, set as background             
    LDA $0522                           ; Load $0522 (#$7F = battle background ID)         
    AND #$7F                            ; Isolate bits 0-6 (battle background ID, max #$7F)                                                        
lblA:
    STA $0011E2                         ; Store as battle background ID 
    TDC                                 ; Clear Accumulator 
    STA $0011E3                         ; ???   
    LDA $1ED7                           ;   
    AND #$10                            ; Continue music during battle?
    LSR                                 ;           
    STA $0011E4                         ; Set to continue current music 
    LDA #$01                            ;       
    STA $56                             ; Enable battle     
    LDX $0541                           ; BG1 X,Y Center Coordinate      
    STX $1F66                           ; Store as Field XY Scroll Position 
    LDX $00AF                           ; Party's X,Y Position
    STX $1FC0                           ; Set as Party XY Position  
    LDA #$E0                            ;   
    STA $11FA                           ; enable map startup event, disable map fade-in, no map update on loading map  
    LDA #$04                            ; Number of bytes: 4         
    JML $C09B70                         ; Advance the event queue of 4 bytes